## pillow 2.7.0

=== debian/changelog ===
pillow (2.7.0-1) experimental; urgency=medium

  * Pillow 2.7.0 release.
  * Stop building the sane package, not built anymore from this source.
  * Disable running the tests in debug mode for now, hangs the build.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 14:29:15 +0100
