## pillow 2.9.0

=== debian/changelog ===
pillow (2.9.0-1ubuntu0.2) wily-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in ImagingFliDecode()
    - debian/patches/pillow-CVE-2016-0775.patch: correct memcpy location
    - debian/source/include-binaries: add test image in
      Tests/images/fli_overflow.fli
    - CVE-2016-0775
  * SECURITY UPDATE: buffer overflow in ImagingLibTiffDecode
    - debian/patches/pillow-CVE-2016-0740.patch: correct type of size to
      match that returned by libtiff
    - debian/source/include-binaries: add test image in
      Tests/images/libtiff_segfault.tif
    - CVE-2016-0740
  * SECURITY UPDATE: integer overflow in ImagingResampleHorizontal()
    - debian/patches/pillow-gh#1714.patch: check for integer overflow
  * SECURITY UPDATE: PCD decoder overruns the shuffle buffer
    - debian/patches/pillow-gh#1706.patch: correct size adjustments
    - CVE-2016-2533

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 11 Mar 2016 12:12:04 -0800

pillow (2.9.0-1) unstable; urgency=medium

  * Pillow 2.9.0 release.
  * d/rules: Don't add $DEB_HOST_MULTIARCH to SOABI for Python 3.5 since
    it's already included there. Closes: #790085.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 02:59:31 +0200

pillow (2.8.1-1) unstable; urgency=medium

  * Pillow 2.8.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jun 2015 19:15:59 +0200
