=== requirements.txt ===
# Testing and documentation requirements
-e .
-r docs/requirements.txt
coveralls
nose
nose-cov
pep8
pyflakes
check-manifest
pyroma
jarn.viewdoc
