=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python-pil-dbg
 Provides: ${python:Provides}, python-pillow
-Breaks: python-imaging (<< 1.1.7+2.0.0-1.1)
+Breaks: python-imaging (<< 1.1.7+2.0.0-1.1),
+  rapid-photo-downloader (<< 0.4.11), 
+  tilestache (<< 1.49.8-3),
 Replaces: python-imaging (<< 1.1.7+2.0.0-1.1)
 Description: Python Imaging Library (Pillow fork)
  The Python Imaging Library (PIL) adds an image object to your Python
