=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 	dh_installdocs -ppython-pil-doc #Docs/*
 	dh_installexamples -ppython-pil-doc Scripts/*
 
-	dh_installdocs -ppython-pil README.rst
+	dh_installdocs -ppython-pil -ppython3-pil README.rst
 
 	: # Replace all '#!' calls to python with /usr/bin/python
 	: # and make them executable
@@ -103,7 +103,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 install-python%:
 	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-pil \
@@ -155,7 +155,13 @@
 		libImaging/ImDib.h \
 		debian/python3-pil/$$incdir
 
-	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
+	then \
+		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	else \
+		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	fi; \
+	echo $$abitag; \
 	dh_movefiles -ppython3-pil.imagetk \
 	    --sourcedir=debian/python3-pil \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
@@ -177,7 +183,12 @@
 		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
 	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;
 
-	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
+	then \
+		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	else \
+		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	fi; \
 	dh_movefiles -ppython3-pil.imagetk-dbg \
 	    --sourcedir=debian/python3-pil-dbg \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so
@@ -189,7 +200,7 @@
 	dh_testroot -i
 	dh_installdocs -i
 	dh_installexamples -i
-	dh_installchangelogs -i #CHANGES
+	dh_installchangelogs -i CHANGES.rst
 	dh_python2 -i
 	dh_link -i
 	dh_compress -i -X.py
@@ -205,7 +216,7 @@
 	dh_testroot -a
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_installchangelogs -a #CHANGES
+	dh_installchangelogs -a CHANGES.rst
 	for p in \
 	  python-pil python-pil.imagetk \
 	  python3-pil python3-pil.imagetk; \
