## pillow 3.3.1

=== debian/changelog ===
pillow (3.3.1-1ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: information disclosure via crafted image
    - debian/patches/CVE-2016-9189.patch: add overflow checks to map.c.
    - CVE-2016-9189
  * SECURITY UPDATE: code execution via crafted image
    - debian/patches/CVE-2016-9190.patch: add size check to
      libImaging/Storage.c, add test to Tests/images/negative_size.ppm,
      Tests/test_file_ppm.py.
    - CVE-2016-9190

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Mar 2017 08:00:21 -0500

pillow (3.3.1-1) unstable; urgency=medium

  * Pillow 3.3.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 16:32:48 +0200

pillow (3.3.0-1) unstable; urgency=medium

  * Pillow 3.3.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2016 10:18:19 +0200

pillow (3.2.0-2) unstable; urgency=medium

  * Don't run test needing the removed icc profiles.

 -- Matthias Klose <doko@debian.org>  Thu, 05 May 2016 17:42:07 +0200

pillow (3.2.0-1) unstable; urgency=medium

  * Pillow 3.2.0 release.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Apr 2016 18:01:45 +0200
