=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2.7-dev (>= 2.7.8-4),
   python-all-dev, python-all-dbg, python-setuptools,
@@ -14,7 +14,7 @@
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev
 Build-Conflicts: python-cffi, python3-cffi
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest
