## pillow 3.4.2

=== debian/changelog ===
pillow (3.4.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 11 Nov 2016 18:21:06 +0000

pillow (3.4.2-1) unstable; urgency=medium

  * Pillow 3.4.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 15:48:03 +0100
