## pillow 4.0.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,13 @@
 	rm -r build || true
 	find . -name __pycache__ | xargs rm -r || true
 
-coverage: 
+BRANCHES=`git branch -a | grep -v HEAD | grep -v master | grep remote`
+co:
+	-for i in $(BRANCHES) ; do \
+        git checkout -t $$i ; \
+    done
+
+coverage:
 	coverage erase
 	coverage run --parallel-mode --include=PIL/* selftest.py
 	nosetests --with-cov --cov='PIL/' --cov-report=html Tests/test_*.py
@@ -20,22 +26,29 @@
 doc:
 	$(MAKE) -C docs html
 
+doccheck:
+	$(MAKE) -C docs html
+# Don't make our tests rely on the links in the docs being up every single build.
+# We don't control them.  But do check, and update them to the target of their redirects.
+	$(MAKE) -C docs linkcheck || true
+
 docserve:
 	cd docs/_build/html && python -mSimpleHTTPServer 2> /dev/null&
 
 help:
-	@echo "Welcome to Pillow development. Please use \`make <target>' where <target> is one of"
+	@echo "Welcome to Pillow development. Please use \`make <target>\` where <target> is one of"
 	@echo "  clean          remove build products"
 	@echo "  coverage       run coverage test (in progress)"
 	@echo "  doc            make html docs"
 	@echo "  docserve       run an http server on the docs directory"
 	@echo "  html           to make standalone HTML files"
-	@echo "  inplace        make inplace extension" 
+	@echo "  inplace        make inplace extension"
 	@echo "  install        make and install"
 	@echo "  install-req    install documentation and test dependencies"
+	@echo "  install-venv   install in virtualenv"
 	@echo "  release-test   run code and package tests before release"
 	@echo "  test           run tests on installed pillow"
-	@echo "  upload         build and upload sdists to PyPI" 
+	@echo "  upload         build and upload sdists to PyPI"
 	@echo "  upload-test    build and upload sdists to test.pythonpackages.com"
 
 inplace: clean
@@ -45,8 +58,19 @@
 	python setup.py install
 	python selftest.py --installed
 
+debug:
+# make a debug version if we don't have a -dbg python. Leaves in symbols
+# for our stuff, kills optimization, and redirects to dev null so we 
+# see any build failures.
+	make clean > /dev/null
+	CFLAGS='-g -O0' python setup.py build_ext install > /dev/null
+
 install-req:
 	pip install -r requirements.txt
+
+install-venv:
+	virtualenv .
+	bin/pip install -r requirements.txt
 
 release-test:
 	$(MAKE) install-req
