=== debian/changelog ===
pillow (4.0.0-4+deb9u6) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2024-28219: buffer overflow in _imagingcms.c

 -- Adrian Bunk <bunk@debian.org>  Sat, 27 Apr 2024 22:50:15 +0300

pillow (4.0.0-4+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the Extended LTS Team.
  * Backport follow-up fix for CVE-2022-22817, upstream commit c930be075.
  * Backport upstream fix for CVE-2023-23437.
  * Backport upstream fix for CVE-2023-44271.
  * Backport upstream fix for CVE-2023-50447 (Closes: #1061172).
  * Mark d/rules with .NOTPARALLEL for an implicit -j1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Mar 2024 13:01:24 +0800

pillow (4.0.0-4+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-22815: improper buffer initialization.
  * CVE-2022-22816: buffer over-read.
  * CVE-2022-22817: improper sanitization leading to code execution.
  * Make test suite errors fatal.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Jan 2022 19:18:54 +0100

pillow (4.0.0-4+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-34552 - Replace sprintf with snprintf. Backport upstream change
     from 8.3. 
  * CVE-2021-28676 - check that the block advance was
  non-zero, potentially leading to an infinite loop on load.
  * CVE-2021-25290 - Fix negative size read in TiffDecode.c
  * CVE-2020-35653 - Fix read overflow in PCX Decoding
  * CVE-2021-28677 - Fix EPS DOS on _open

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Jul 2021 13:46:43 +0100

pillow (4.0.0-4+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix multiple OOB reads in FLI decoding.
    (Fixes: CVE-2020-10177)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 08 Aug 2020 21:29:46 +0530

pillow (4.0.0-4+deb9u1) stretch-security; urgency=medium

  * CVE-2019-19911 CVE-2020-5312 CVE-2020-5313

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 20 Feb 2020 22:56:37 +0100

pillow (4.0.0-4) unstable; urgency=medium

  * Build again with internal OleFileIO module.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:52:07 +0100

pillow (4.0.0-3) unstable; urgency=medium

  * Re-add build dependencies on python*-olefile.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2017 23:44:36 +0100

pillow (4.0.0-2) unstable; urgency=medium

  * Add imagingtk-int-overflow.patch. Fix integer overflow on 32 bit
    architectures (Markus Koschany). Closes: #847812.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 23:50:08 +0100

pillow (4.0.0-1) unstable; urgency=medium

  * Pillow 4.0.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2017 19:47:03 +0100
