=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
   python-tk, python-tk-dbg,
   python3-tk, python3-tk-dbg,
   python-nose, python3-nose,
+#  python-olefile, python3-olefile,
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev
 Build-Conflicts: python-cffi, python3-cffi
@@ -175,6 +176,7 @@
 Package: python-pil-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: python-pil-doc-html, python-pil-doc-pdf,
   python-doc, python3-pil | python-pil, python3-pil.imagetk | python-pil.imagetk
