=== debian/rules ===
--- 
+++ 
@@ -42,10 +42,10 @@
 	ln -s ../build tmp/build
 ifeq (0,1)
 	@echo BEGIN python$*-dbg tests
-	-cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+	cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
 endif
 	@echo BEGIN python$* tests
-	-cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+	cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
 endif
 	touch $@
 
@@ -241,3 +241,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+.NOTPARALLEL:
