## pillow 4.1.1

=== debian/changelog ===
pillow (4.1.1-3build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 14 Aug 2017 13:28:56 +1200

pillow (4.1.1-3build1) artful; urgency=medium

  * No-change rebuild against libwebpmux3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 03:56:21 +0000

pillow (4.1.1-3) unstable; urgency=medium

  * Restore the python-imaging package for the upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2017 12:08:54 +0200

pillow (4.1.1-2) experimental; urgency=medium

  * Re-add olefile build dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:24:32 -0700

pillow (4.1.1-1) experimental; urgency=medium

  * Pillow 4.1.1 release.
  * Build with external OleFileIO module.
  * Stop building the python-imaging package.
    Obsolete bug reports, closes: #557251, #711343, #773307, #815533, #858226.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:05:48 -0700
